<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: channel-acl.php 3788 2005-10-15 16:58:14Z chris $
*/

// Set options
// Require the initialisation file
require_once '../../init.php';
require_once MAX_PATH . '/www/admin/config.php';

require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';

// Register input variables
phpAds_registerGlobal('agencyid', 'channelid', 'add');

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency);

// security check
if(phpAds_isUser(phpAds_Agency)) {
	$agencyid = phpAds_getUserID();
}
$query = "
    SELECT
        *
    FROM
        {$conf['table']['prefix']}{$conf['table']['channel']}
	WHERE agencyid={$agencyid}
      AND channelid={$channelid}
   ";
$res = phpAds_dbQuery($query)
	or phpAds_sqlDie();
if (phpAds_dbNumRows($res) == 0) {
	phpAds_PageHeader("2");
	phpAds_Die ($strAccessDenied, $strNotAdmin);
} else {
	$channel = phpAds_dbFetchArray($res);
}

// Set initialize constant
define('MAX_ACL_INITIALIZED', 1);

$sqlDeleteExistingLimitations = "
		DELETE FROM 
			".$conf['table']['prefix'].$conf['table']['acls_channel']." 
		WHERE 
			channelid='".$channelid."'";

$sqlInsertLimitation = "
		INSERT INTO
			".$conf['table']['prefix'].$conf['table']['acls_channel']."
		SET
			channelid  	   = '".$channelid."',
			logical   	   = '%s',
			type  	  	   = '%s',
			data  	  	   = '%s',
			comparison     = '%s',
			executionorder = '%d'";

$sqlSelectLimitations = "
		SELECT
			*
		FROM
			".$conf['table']['prefix'].$conf['table']['acls_channel']."
		WHERE
			channelid = '".$channelid."'
		ORDER BY
			executionorder";

$compileFunction = 'phpAds_compileChannelLimitation';
$compileArgument = $channelid;

$aclFormHiddenInputs .= "
	<input type='hidden' name='channelid' value='".$channelid."'>
	<input type='hidden' name='agencyid' value='".$agencyid."'>
	<input type='hidden' name='affiliateid' value='".$affiliateid."'>";

function Max_aclPostForm() {}

function Max_aclFormRequirements() {}

function Max_AclSaveAdditionalInfo() {}

function Max_AclSelectAdditionalInfo() {}

$aclMoveAfterUpdateUrl = "channels.php?agencyid=$agencyid&affiliateid=$affiliateid";
$sessionPrefsForUrl = $session['prefs']['channels.php'];

// Turn off comppression to prevent call another ob_start inside this one
$GLOBALS['_MAX']['PREF']['content_gzip_compression'] = false;

ob_start();

	if(!empty($affiliateid)) {
		phpAds_PageHeader("4.2.5");
		echo "<img src='images/icon-affiliate.gif' align='absmiddle'>&nbsp;<b>".phpAds_getAffiliateName($affiliateid)."</b>";
		echo "&nbsp;<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>&nbsp;";
		echo "<img src='images/icon-acl.gif' align='absmiddle'>&nbsp;<b>".$channel['channel_name']."</b><br /><br /><br />";
		phpAds_ShowSections(array("4.2.2", "4.2.3", "4.2.5", "4.2.4"));
	} else {
		phpAds_PageHeader("5.5.3");
		
		if (phpAds_isUser(phpAds_Admin)) {
			echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getAgencyName($agencyid);
			echo "&nbsp;<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>&nbsp;";
			echo "<img src='images/icon-acl.gif' align='absmiddle'>&nbsp;<b>".$channel['channel_name']."</b><br /><br />";
			phpAds_ShowSections(array("5.5.2", "5.5.3"));
		} else {
			echo "<img src='images/icon-advertiser.gif' align='absmiddle'>&nbsp;".phpAds_getAgencyName($agencyid);
			echo "&nbsp;<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>&nbsp;";
			echo "<img src='images/icon-acl.gif' align='absmiddle'>&nbsp;<b>".$channel['channel_name']."</b><br /><br />";
			phpAds_ShowSections(array("5.1", "5.5.3"));
		}
	}


$aclPageContaxt = ob_get_clean();

$aclFormTargetUrl = 'channel-acl.php';
$aclRemoveUrl = "channel-acl.php?agencyid=".$agencyid."&affiliateid=$affiliateid&channelid=".$channelid."&action[clear]=true";

$showChannels = false;

// Require banner.acl.inc.php file
require_once 'acl.inc.php';

?>